Reports Get Devices

Deprecated
View as MarkdownOpen in Claude
Retrieves reporting data about a team's linked devices. Deprecated: Will be removed on July 1st 2021. **Required scope:** `team_info.read` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Authentication

AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Request

This endpoint expects a nullable object.
end_datedate or nullOptional

Optional ending date (exclusive).

start_datedate or nullOptional

Optional starting date (inclusive). If start_date is None or too long ago, this field will be set to 6 months ago.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
start_datestring

First date present in the results as ‘YYYY-MM-DD’ or None.

active_1_dayobject
Report of the number of devices active in the last day.
active_28_dayobject
Report of the number of devices active in the last 28 days.
active_7_dayobject
Report of the number of devices active in the last 7 days.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error